pt-BR:
  flash:
    male: &male
      create:
        notice: '%{resource_name} foi criado com sucesso.'
        alert: '%{resource_name} não pode ser criado.'

      update:
        notice: '%{resource_name} foi alterado com sucesso.'
        alert: '%{resource_name} não pode ser alterado.'

      destroy:
        notice: '%{resource_name} foi apagado com sucesso.'
        alert: '%{resource_name} não pode ser apagado.'

    female: &female
      create:
        notice: '%{resource_name} foi criada com sucesso.'
        alert: '%{resource_name} não pode ser criada.'

      update:
        notice: '%{resource_name} foi alterada com sucesso.'
        alert: '%{resource_name} não pode ser alterada.'

      destroy:
        notice: '%{resource_name} foi apagada com sucesso.'
        alert: '%{resource_name} não pode ser apagada.'

    unities:
      create_batch:
        notice: "Unidades sincronizadas com sucesso."
        alert: "Ocorreu erro ao salvar as unidades. Favor tentar novamente."
      destroy:
        alert: '%{resource_name} não pode ser apagada pois possui vínculos.'

    devise:
      passwords:
        create:
          alert: "E-mail não encontrado."
      unlocks:
        create:
          alert: "E-mail não encontrado."

    actions:
      <<: *female

    users:
      <<: *male
      destroy:
        alert: '%{resource_name} não pode ser apagado pois possui vínculos (Ex: ter feito envio de notas, ter algum aluno vinculado, etc)'

    accounts:
      <<: *male
      update:
        notice: 'Conta atualizada com sucesso. '
        alert: 'Conta não pode ser atualizada. '

    backup_files:
      create:
        notice: "O backup está sendo gerado."

    synchronizations:
      create:
        notice: "Integração de alunos do i-Educar está sendo processada."
        alert: "Integração de alunos do i-Educar não pode ser processada."

    test_settings:
      <<: *female

    school_calendars:
      <<: *male

    school_calendar_events:
      <<: *male

    school_calendar_event_batches:
      create:
        notice: 'Os eventos estão sendo criados.'
      destroy:
        notice: 'Os eventos estão sendo apagados.'

    discipline_lesson_plans:
      <<: *male
      destroy:
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa'

    knowledge_area_lesson_plans:
      <<: *male
      destroy:
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa'

    discipline_content_records:
      <<: *male
      destroy:
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa'

    knowledge_area_content_records:
      <<: *male
      destroy:
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa'

    transfer_notes:
      <<: *male
      destroy:
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa'

    conceptual_exams:
      <<: *female
      destroy:
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa'

    descriptive_exams:
      <<: *female
      destroy:
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa'

    avaliations:
      <<: *female
      create:
        notice: '%{resource_name} foi criada com sucesso para a(s) turma(s) %{classrooms}.'
      create_multiple_classrooms:
        notice: '%{resource_name} foi criada com sucesso para a(s) turma(s) %{classrooms}.'
      destroy:
        alert: '%{resource_name} não pode ser apagada pois %{reason}.'
      destroy_reasons:
        has_recovery: 'possui recuperação de avaliação vinculada'
        out_of_posting_period: 'a data está fora do período de lançamento da etapa'
        has_daily_notes: 'possui notas lançadas'

    daily_notes:
      has_avaliation_recovery: 'Avaliação numérica não pode ser apagada pois possui vínculos.'
      <<: *male
      destroy:
        notice: 'Registro do diário de avaliações foi apagado com sucesso.'
        alert: 'Registro do diário de avaliações não pode ser apagado pois possui vínculos ou data atual está fora das datas de lançamento da etapa.'

    daily_frequencies:
      <<: *male
      destroy_multiple:
        notice: 'Registro do diário de frequência foi apagado com sucesso.'
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa.'

    complementary_exams:
      <<: *female
      destroy:
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa'

    absence_justifications:
      <<: *female
      destroy:
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa'

    observation_diary_records:
      <<: *male
      destroy:
        alert: 'Não é possível apagar registros fora das datas de lançamento da etapa'

    terms_dictionaries:
      <<: *male

    school_term_recovery_diary_records:
      create:
        notice: "Recuperação de etapa lançada com sucesso!"
        alert: "Recuperação de etapa não pode ser lançada."
      update:
        notice: "Lançamento de recuperação de etapa atualizado com sucesso."
        alert: "Lançamento de recuperação de etapa não pode ser atualizado."
      destroy:
        notice: "Lançamento de recuperação de etapa apagado com sucesso."
        alert: "Não é possível apagar registros fora das datas de lançamento da etapa"

    final_recovery_diary_records:
      create:
        notice: "Recuperação final lançada com sucesso!"
        alert: "Recuperação final não pode ser lançada."
      update:
        notice: "Lançamento de recuperação final atualizado com sucesso."
        alert: "Lançamento de recuperação final não pode ser atualizado."
      destroy:
        notice: "Lançamento de recuperação final apagado com sucesso."
        alert: "Não é possível apagar registros fora das datas de lançamento da etapa"

    avaliation_recovery_diary_records:
      create:
        notice: "Recuperação de avaliação lançada com sucesso!"
        alert: "Recuperação de avaliação não pode ser lançada."
      update:
        notice: "Lançamento de recuperação de avaliação atualizado com sucesso."
        alert: "Lançamento de recuperação de avaliação não pode ser atualizado."
      destroy:
        notice: "Lançamento de recuperação de avaliação apagado com sucesso."
        alert: "Não é possível apagar registros fora das datas de lançamento da etapa"

      lessons_boards:
        <<: *male
